# Class `nixio.crypto`

Cryptographical library.

## Functions

hash (algo) | Create a hash object.
hmac (algo, key) | Create a HMAC object.

## Functions

hash (algo)
  Create a hash object.

  ### Parameters

  - algo: Algorithm ["sha1", "md5"]

  ### Return value:

  CryptoHash Object
hmac (algo, key)
  Create a HMAC object.

  ### Parameters

  - algo: Algorithm ["sha1", "md5"]
  - key: HMAC-Key

  ### Return value:

  CryptoHash Object